🌍 Astrocartography API and ✋ Palmistry API are now live. Ship them in your app today.Get Started

Zodiac Partner compatibility

This API is called zodiac_compatibility and it takes two zodiac signs as input. The response includes your zodiac sign, your partner's zodiac sign, a compatibility report describing the strengths and weaknesses of the relationship, and a compatibility percentage.
POSThttps://json.astrologyapi.com/v1/zodiac_compatibility/:zodiacName/:partnerZodiacName

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Path parameters

zodiacNamestringrequired

Zodiac Name , eg: aries,taurus

  • aries
  • taurus
  • gemini
  • cancer
  • leo
  • virgo
  • libra
  • scorpio
  • sagittarius
  • capricorn
  • aquarius
  • pisces
partnerZodiacNamestringrequired

Partner Zodiac Name , eg: aries,taurus

  • aries
  • taurus
  • gemini
  • cancer
  • leo
  • virgo
  • libra
  • scorpio
  • sagittarius
  • capricorn
  • aquarius
  • pisces

Body parameters

This endpoint takes no body parameters.

curl --location 'https://json.astrologyapi.com/v1/zodiac_compatibility/aries/aries' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{}'
Try it

Runs with sample data — no API key needed

{
  "your_sign": "Aries",
  "your_partner_sign": "Aries",
  "compatibility_report": "Aries need independence , freedom and excitement. They will easily understand their partner’s similar needs. Their partnership can be extremely powerful if they resist the urge to compete with each other. Two Aries will have a fun filled relationship, they will appreciate each other's spontaneity and will never be bored.  Their relationship is a passionate one and indeed highly compatible.",
  "compatibility_percentage": 75
}